<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Credential</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_credential_constants</name>
    <title>Credential Constants</title>
    <filename>group__globus__gsi__credential__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_cred_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_SUCCESS</name>
      <anchor>gga0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_READING_PROXY_CRED</name>
      <anchor>gga0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_READING_HOST_CRED</name>
      <anchor>gga0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_READING_SERVICE_CRED</name>
      <anchor>gga0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_READING_CRED</name>
      <anchor>gga0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WRITING_CRED</name>
      <anchor>gga0a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WRITING_PROXY_CRED</name>
      <anchor>gga0a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_CHECKING_PROXY</name>
      <anchor>gga0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_VERIFYING_CRED</name>
      <anchor>gga0a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED</name>
      <anchor>gga0a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT</name>
      <anchor>gga0a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED_PRIVATE_KEY</name>
      <anchor>gga0a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT_CHAIN</name>
      <anchor>gga0a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_ERRNO</name>
      <anchor>gga0a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_SYSTEM_CONFIG</name>
      <anchor>gga0a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED_HANDLE_ATTRS</name>
      <anchor>gga0a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_SSL_CTX</name>
      <anchor>gga0a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CALLBACK_DATA</name>
      <anchor>gga0a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_CREATING_ERROR_OBJ</name>
      <anchor>gga0a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_KEY_IS_PASS_PROTECTED</name>
      <anchor>gga0a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_NO_CRED_FOUND</name>
      <anchor>gga0a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_SUBJECT_CMP</name>
      <anchor>gga0a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_GETTING_SERVICE_NAME</name>
      <anchor>gga0a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_BAD_PARAMETER</name>
      <anchor>gga0a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_WITH_CRED_CERT_NAME</name>
      <anchor>gga0a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CRED_ERROR_LAST</name>
      <anchor>gga0a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cred_type_t</name>
      <anchor>ga1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_credential_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__credential__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CREDENTIAL_MODULE</name>
      <anchorfile>group__globus__gsi__credential__activation.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cred_handle</name>
    <title>Credential Handle Management</title>
    <filename>group__globus__gsi__cred__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_init</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_cred_handle_t *handle, globus_gsi_cred_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_destroy</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_cred_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_copy</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_cred_handle_t source, globus_gsi_cred_handle_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_handle_attrs</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, globus_gsi_cred_handle_attrs_t *attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_goodtill</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_cred_handle_t cred_handle, time_t *goodtill)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_lifetime</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_cred_handle_t cred_handle, time_t *lifetime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_key_bits</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_cred_handle_t cred_handle, int *key_bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_set_cert</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga8</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509 *cert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_cert</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga9</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509 **cert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_set_key</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga10</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, EVP_PKEY *key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_key</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga11</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, EVP_PKEY **key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_set_cert_chain</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga12</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, STACK_OF(X509)*cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_cert_chain</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga13</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, STACK_OF(X509)**cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_X509_subject_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga14</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509_NAME **subject_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_X509_identity_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga15</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509_NAME **identity_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_subject_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga16</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char **subject_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_policies</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga17</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, STACK **policies)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_policy_languages</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga18</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, STACK_OF(ASN1_OBJECT)**policy_languages)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_X509_issuer_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga19</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509_NAME **issuer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_issuer_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga20</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char **issuer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_identity_name</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga21</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char **identity_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_verify_cert_chain</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga22</anchor>
      <arglist>(globus_gsi_cred_handle_t cred_handle, globus_gsi_callback_data_t callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_verify</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga23</anchor>
      <arglist>(globus_gsi_cred_handle_t handle)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_cred_handle_s *</type>
      <name>globus_gsi_cred_handle_t</name>
      <anchorfile>group__globus__gsi__cred__handle.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cred_handle_attrs</name>
    <title>Credential Handle Attributes</title>
    <filename>group__globus__gsi__cred__handle__attrs.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_init</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t *handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_destroy</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_copy</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t source, globus_gsi_cred_handle_attrs_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_set_ca_cert_dir</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t handle_attrs, char *ca_cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_get_ca_cert_dir</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t handle_attrs, char **ca_cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_set_search_order</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t search_order[])</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_handle_attrs_get_search_order</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_cred_handle_attrs_t handle_attrs, globus_gsi_cred_type_t **search_order)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_cred_handle_attrs_s *</type>
      <name>globus_gsi_cred_handle_attrs_t</name>
      <anchorfile>group__globus__gsi__cred__handle__attrs.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cred_operations</name>
    <title>Credential Operations</title>
    <filename>group__globus__gsi__cred__operations.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, X509_NAME *desired_subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read_proxy</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, const char *proxy_filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read_proxy_bio</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, BIO *bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read_key</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char *key_filename, int(*pw_cb)())</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read_cert</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char *cert_filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_read_pkcs12</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char *pkcs12_filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_write</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, BIO *bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_write_proxy</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, char *proxy_filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cred_get_cert_type</name>
      <anchorfile>group__globus__gsi__cred__operations.html</anchorfile>
      <anchor>ga8</anchor>
      <arglist>(globus_gsi_cred_handle_t handle, globus_gsi_cert_utils_cert_type_t *type)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/builddir/build/BUILD/globus_gsi_credential-3.3/library/</name>
    <path>/builddir/build/BUILD/globus_gsi_credential-3.3/library/</path>
    <filename>dir_000000.html</filename>
    <file>globus_gsi_cred_constants.h</file>
    <file>globus_gsi_cred_error.c</file>
    <file>globus_gsi_cred_handle.c</file>
    <file>globus_gsi_cred_handle_attrs.c</file>
    <file>globus_gsi_credential.c</file>
    <file>globus_gsi_credential.h</file>
    <file>globus_i_gsi_credential.h</file>
  </compound>
</tagfile>
